Author Topic: Octopi suddenly stopped firing  (Read 930 times)

0 Members and 1 Guest are viewing this topic.

Offline viking60

  • Sr. Mitglied
  • ****
  • Posts: 388
    • bjoernvold.com
  • Branch: stable
  • Desktop: openbox
  • GPU Card: NVIDIA GT200b [GeForce GTX 275]
  • GPU driver: nonfree
  • Kernel: linux4.1-x86_64
  • Skill: Intermediate
Octopi suddenly stopped firing
« on: 03. February 2016, 17:40:17 »
Octopi failed to start because it could not find or load the Qt platform plugin "xcb".
Re-installing made no difference.

But since I often remove Orphans (Berserk style)  I checked the Pacman cache and found two xcb entries that were removed:
xcb-util-cursor and xcb-util-renderutil

So I re-installed them
Code: [Select]
sudo pacman -S xcb-util-cursor xcb-util-renderutilAnd Octopi fired just fine again.

So if those turn up on your orphan list
Code: [Select]
pacman -Qtdq - don't remove them if you are using Octopi.

Should they not have been pulled during regular install?
« Last Edit: 04. February 2016, 15:28:02 by viking60 »

Offline philm

  • Core Team
  • *****
  • Posts: 10671
    • Manjaro Linux
  • Branch: Unstable
  • Desktop: XFCE
  • GPU Card: Geforce GTX 650
  • GPU driver: non-free
  • Kernel: Maintainer - so all ;)
  • Skill: Guru
Re: Octopi suddenly stopped firing
« Reply #1 on: 03. February 2016, 23:41:12 »
Which version of octopi do you exactly use?

Offline viking60

  • Sr. Mitglied
  • ****
  • Posts: 388
    • bjoernvold.com
  • Branch: stable
  • Desktop: openbox
  • GPU Card: NVIDIA GT200b [GeForce GTX 275]
  • GPU driver: nonfree
  • Kernel: linux4.1-x86_64
  • Skill: Intermediate
Re: Octopi suddenly stopped firing
« Reply #2 on: 04. February 2016, 15:18:33 »
I am using Version 0.8.0-4
Code: [Select]
LC_ALL=C pacman -Qi octopi
Name           : octopi
Version        : 0.8.0-4
Description    : A powerful Pacman frontend using Qt5 libs
Architecture   : x86_64
URL            : http://octopiproject.wordpress.com
Licenses       : GPL2
Groups         : None
Provides       : None
Depends On     : qt5-base  qt5-declarative  xterm
Optional Deps  : kdesu: for KDE
                 gksu: for XFCE, Gnome, LXDE, Cinnamon [installed]
                 lxqt-sudo: for LXQT
                 gnome-keyring: for password management [installed]
                 gist: for SysInfo report
                 pacaur: for AUR support
                 yaourt: for AUR support [installed]
                 octopi-repoeditor: for editing functions [installed]
                 octopi-cachecleaner: for cleaning functions
                 octopi-notifier-qt4: for notifications
                 octopi-notifier-qt5: for notifications [installed]
                 octopi-notifier-frameworks: for notifications with Knotifications support
                 pacmanlogviewer: to view pacman log files
Required By    : None
Optional For   : octopi-notifier-qt5
Conflicts With : None
Replaces       : octopi-qt5
Installed Size :   2.16 MiB
Packager       : Artoo <artoo@manjaro.org>
Build Date     : Wed Jan 6 05:39:44 2016
Install Date   : Wed Feb 3 16:51:47 2016
Install Reason : Explicitly installed
Install Script : Yes
Validated By   : Signature
« Last Edit: 04. February 2016, 15:33:20 by viking60 »

Offline philm

  • Core Team
  • *****
  • Posts: 10671
    • Manjaro Linux
  • Branch: Unstable
  • Desktop: XFCE
  • GPU Card: Geforce GTX 650
  • GPU driver: non-free
  • Kernel: Maintainer - so all ;)
  • Skill: Guru
Re: Octopi suddenly stopped firing
« Reply #3 on: 04. February 2016, 23:40:16 »
Always notify the packager if you find some issues with missing dependencies. Sometimes the package was built on a dirty host.

Offline viking60

  • Sr. Mitglied
  • ****
  • Posts: 388
    • bjoernvold.com
  • Branch: stable
  • Desktop: openbox
  • GPU Card: NVIDIA GT200b [GeForce GTX 275]
  • GPU driver: nonfree
  • Kernel: linux4.1-x86_64
  • Skill: Intermediate
Re: Octopi suddenly stopped firing
« Reply #4 on: 05. February 2016, 01:09:39 »
Thanks! - Will do.